spring:
  application:
    name: tenant-open-backend-task
  profiles:
    active: @spring.profiles.active@
  kafka:
    consumer:
      auto-offset-reset: earliest
      enable-auto-commit: false
      group-id: tenant-open-kafka-consumer-group-v8
      fetch-max-wait: 1s
      fetch-min-size: 512
    admin:
      fail-fast: true
    listener:
      ack-mode: manual_immediate
      concurrency: 2
    retry:
      topic:
        delay: 2
        attempts: 5
  task:
    scheduling:
      pool:
        size: 5
    execution:
      pool:
        core-size: 5
dubbo:
  application:
    name: dubbo-tenant-open-backend-task
    qos-port: 33338
    logger: slf4j
  registry:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos
    register-mode: instance
  protocol:
    name: dubbo
    port: -1
    token: false
  config:
    version: 1.0
logging:
  level:
    root: error
  config: classpath:log4j2.xml
scheduled:
  cron:
    stationCheck: 0 0 22,3 * * ?
    cleanNonUsedData: 0 0 23,6 * * ?
